Các bản cập nhật cho việc Hỗ trợ giao thức TLS và Nền tảng giao thức (TLS) của ArcGIS.

Để đáp ứng các tiêu chuẩn về công nghệ cao, tính toàn vẹn dữ liệu và bảo mật. Esri đang cung cấp thông tin cấu hình và các bản cập nhật phần mềm trên nền tảng ArcGIS để hỗ trợ TLS 1.2. Là một phần trong việc cải thiện bảo mật ArcGIS Online, Esri đang lên kế hoạch yêu cầu các kết nối TLS 1.2 cho các dịch vụ ArcGIS Online bắt đầu từ ngày 16 tháng 4 năm 2019. Điều này sẽ được thông báo trước khi thay đổi để đảm bảo khách hàng không gặp gián đoạn khi truy cập các dịch vụ ArcGIS Online.
TLS là gì?

TLS hay giao thức “bảo mật tầng giao vận” là một giao thức bảo mật mạng được triển khai rộng rãi. TLS cung cấp sự riêng tư và đảm bảo toàn vẹn dữ liệu giữa các ứng dụng mạng. Bạn luôn sử dụng TLS bất cứ khi nào truy cập các dịch vụ ArcGIS Online, chẳng hạn như bản đồ nền hay dịch vụ xử lý dữ liệu địa lý từ ArcGIS Desktop, ArcGIS Enterprise và các ứng dụng khác.

Nền tảng ArcGIS bị ảnh hưởng như thế nào?

Nền tảng ArcGIS sử dụng giao thức TLS như một thành phần chính trong bảo mật của nó cho các kết nối API và dịch vụ web. Điều này bao gồm cả việc kết nối giữa các phần mềm của Esri, chẳng hạn như ArcGIS Desktop và ArcGIS Enterprise, với ArcGIS Online. ArcGIS Online hiện hỗ trợ các kết nối bằng TLS phiên bản 1.0, 1.1 và 1.2. Sau khi cập nhật ngày 16 tháng 4 năm 2019, các dịch vụ ArcGIS Online sẽ chỉ chấp nhận kết nối bằng TLS 1.2.

Một số phần mềm, như ArcGIS Pro, đã được tích hợp TLS 1.2. Các phần mềm Esri khác, chẳng hạn như ArcGIS Desktop, sử dụng TLS 1.0 sẽ yêu cầu một bản vá hoặc thay đổi cấu hình để hỗ trợ các kết nối TLS 1.2. Esri đang phát hành các bản vá và hướng dẫn để cập nhật phần mềm hiện có để hỗ trợ các kết nối này. Danh sách các phiên bản bị ảnh hưởng đã được liệt kê trên trang chủ của Esri.

Những điều cần lưu ý khi cập nhật TLS 1.2

Các phần mềm sử dụng để truy cập ArcGIS Online cần hỗ trợ kết nối TLS 1.2
Nếu đang lưu trữ một cổng thông tin GIS từ ArcGIS Enterprise kết nối với ArcGIS Online, chúng ta cần đảm bảo ArcGIS Enterprise để được hỗ trợ các kết nối TLS 1.2 đến ArcGIS Online.
Nếu đang sử dụng các ứng dụng ArcGIS hoặc các ứng dụng của bên thứ ba được xây dựng dựa trên ArcGIS  Runtimes, truy cập ArcGIS Online từ máy tính hoặc thiết bị di động, chúng ta cần đảm bảo các ứng dụng và cấu hình thiết bị đó hỗ trợ kết nối TLS 1.2
Nếu đã/đang/sẽ xây dựng một ứng dụng tùy chỉnh truy cập ArcGIS Online, chúng ta cần đảm bảo rằng các ứng dụng và cấu hình hệ điều hành thiết bị đó hỗ trợ các kết nối TLS 1.2 đến ArcGIS Online

Kiểm tra và khắc phục.

Tra cứu sản phẩm của bạn trên trang trang chủ của Esri để xác định xem phần mềm Esri bạn sử dụng có bị ảnh hưởng hay không  ở mục  “Sản phẩm phần mềm Esri bị ảnh hưởng bởi triển khai TLS 1.2”. 
Các phần mềm bị ảnh hưởng bao gồm ArcGIS Desktop, các ứng dụng được xây dựng và mở rộng từ ArcGIS Desktop, ArcGIS Enterprise, các ứng dụng được xây dựng với ArcGIS Engine (ArcObjects) và các tiện ích mở rộng có truy cập dịch vụ ArcGIS Online.
Nếu các ứng dụng của bạn bị ảnh hưởng, bạn phải cập nhật hoặc thay đổi cấu hình theo hướng dẫn tại trang chủ Esri để tiếp tục truy cập sau ngày 16 tháng 4 năm 2019.

Người tổng hợp: QuangTV – Trung tâm Giải pháp Công ty VidaGIS

Quý khách quan tâm đến công nghệ bản đồ và GIS, vui lòng liên hệ:
Công ty TNHH Việt Nam - Đan Mạch VidaGIS
Tầng 9, tòa nhà 319 Bộ Quốc phòng, số 63 Lê Văn Lương, Trung Hòa, Cầu Giấy, Hà Nội, Việt Nam.
Điện thoại: (+84) 0243 7558210
Email: info@vidagis.com
 

Nguồn tin: Esri Technical Support / support.esri.com

Tổng số điểm của bài viết là: 0 trong 0 đánh giá

Click để đánh giá bài viết

  Ý kiến bạn đọc

Mã bảo mật   
Bạn đã không sử dụng Site, Bấm vào đây để duy trì trạng thái đăng nhập. Thời gian chờ: 60 giây